"use strict";

exports.__esModule = true;
exports.getSlidesFromChildren = getSlidesFromChildren;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getSlidesFromChildren(children) {
  var slides = [];

  function processChildren(c) {
    _react.default.Children.toArray(c).forEach(function (child) {
      if (child.type === _react.default.Fragment && child.props.children) {
        processChildren(child.props.children);
        return;
      }

      if (child.type && child.type.displayName === 'SwiperSlide') {
        slides.push(child);
      }
    });
  }

  processChildren(children);
  return slides;
}